> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thedatacity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Batch Status



## OpenAPI

````yaml https://datamatcher-api.thedatacity.com/api/v1/openapi.json get /api/v1/match/batch/{job_id}
openapi: 3.1.0
info:
  title: DataMatcher API
  version: 0.1.0
servers:
  - url: https://datamatcher-api.thedatacity.com
    description: Production
security: []
paths:
  /api/v1/match/batch/{job_id}:
    get:
      tags:
        - match
      summary: Get Batch Status
      operationId: match-get_batch_status
      parameters:
        - name: job_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Job Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BatchJobStatus'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKey: []
components:
  schemas:
    BatchJobStatus:
      properties:
        job_id:
          type: string
          format: uuid
          title: Job Id
        status:
          $ref: '#/components/schemas/JobStatus'
        total:
          type: integer
          title: Total
        completed_count:
          type: integer
          title: Completed Count
        error_count:
          type: integer
          title: Error Count
        error_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Message
        created_at:
          type: string
          format: date-time
          title: Created At
        started_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Started At
        finished_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Finished At
        expires_at:
          type: string
          format: date-time
          title: Expires At
      type: object
      required:
        - job_id
        - status
        - total
        - completed_count
        - error_count
        - created_at
        - expires_at
      title: BatchJobStatus
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    JobStatus:
      type: string
      enum:
        - queued
        - running
        - completed
        - failed
      title: JobStatus
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKey:
      type: http
      description: Customer API key (`dm_live_…`)
      scheme: bearer

````